cpuminer possibly undefined macro: AC_MSG_ERROR

thufir hawat.thufir at gmail.com
Thu Dec 19 12:00:18 UTC 2013


On Thu, 19 Dec 2013 11:47:36 +0000, thufir wrote:

> -ljansson... no checking for pthread_create in -lpthread... yes checking
> for yasm... false configure: yasm is required for the sse2_64 algorithm.
> It will be skipped.
> checking for pkg-config... /usr/bin/pkg-config checking pkg-config is at
> least version 0.9.0... yes ./configure: line 5054: syntax error near
> unexpected token `,' ./configure: line 5054: `LIBCURL_CHECK_CONFIG(,
> 7.10.1, ,' thufir at dur:~/dogecoin/cpuminer$ minerd --help No command
> 'minerd' found, did you mean:
>  Command 'mined' from package 'mined' (universe)
> minerd: command not found thufir at dur:~/dogecoin/cpuminer$
> thufir at dur:~/dogecoin/cpuminer$



Whoops, had to install yasm.  However, I still get:

checking for json_loads in -ljansson... no
checking for pthread_create in -lpthread... yes
checking for yasm... /usr/bin/yasm
checking if yasm version is greater than 1.0.1... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
./configure: line 5054: syntax error near unexpected token `,'
./configure: line 5054: `LIBCURL_CHECK_CONFIG(, 7.10.1, ,'
thufir at dur:~/dogecoin/cpuminer$ 


so, that's a syntax error with the build file?





More information about the ubuntu-users mailing list